Subject: Ticket Assigned - Delivery Issue Order#6811586540
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 12 Mar 2023 16:32:44 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Issue Order#6811586540 Dear CenterPoint

I have Order#6811586540 despite mentioning detailed address I always
received whatsapp message from delivery boy that he is unable to find my
address and after that I have shared my google location no response from
him when I called him he said I will not deliver my order because he is not
finding my location I can contact to CenterPoint for the same.

I have been a customer of CenterPoint for more than 07 years. This kind of
pathetic service is not acceptable.

Kindly check with him and try to deliver my order.

PN: I am always available at my home after 06:00 PM.

Regards,

Waseem

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5834634